gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Gtk.CellLayout This object allows a widget to suggest possible completions of a string which has been partially entered.

The partially-entered string is also referred to as a "key".

`using System; using Gtk; public class DemoEntryCompletion : Window { static void Main () { Application.Init (); new DemoEntryCompletion (); Application.Run (); } public DemoEntryCompletion () : base ("Demo Entry Completion") { this.BorderWidth = 10; this.Resizable = false; VBox vbox = new VBox (); Label label = new Label ("Completion demo, try writing <b>total</b> or </b>gnome</b> for example."); label.UseMarkup = true; vbox.PackStart (label, false, true, 0); Entry entry = new Entry (); entry.Completion = new EntryCompletion (); entry.Completion.Model = CreateCompletionModel (); entry.Completion.TextColumn = 0; vbox.PackStart (entry, false, true, 0); this.Add (vbox); this.ShowAll (); } TreeModel CreateCompletionModel () { ListStore store = new ListStore (typeof (string)); store.AppendValues ("GNOME"); store.AppendValues ("total"); store.AppendValues ("totally"); return store; } }`
- Constructor
  2.12.0.0
  Constructor for general use.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected constructor.
- Constructor
  2.12.0.0
  a
  Constructor for internal use only.
- Event
  2.12.0.0
  GLib.Signal("action_activated")
  Gtk.ActionActivatedHandler Event triggered when a particular action is activated.
- Method
  2.12.0.0
  System.Void `` `` `` a a , parameter on to be set from the value a , column of the model to get a value from. Adds an attribute mapping to the list in this entry-completion widget. The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Property
  2.12.0.0
  Gtk.CellRenderer[] To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void Clears the completion.
- Method
  2.12.0.0
  System.Void `` a Clears all existing attributes previously set with .
- Method
  2.12.0.0
  System.Void Requests a completion operation, or in other words a refiltering of the current list with completions, using the current key. The completion list view will be updated accordingly.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("cursor_on_match")
  Gtk.CursorOnMatchHandler To be added. To be added.
- Method
  2.12.0.0
  System.Void `` a Deletes the action at from the action list for this completion.
- Property
  2.12.0.0
  Gtk.Widget Returns the entry widget this completion object has been attached to. a
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("inline-completion")
  System.Boolean To be added a To be added
- Property
  2.12.0.0
  GLib.Property("inline-selection")
  System.Boolean To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` a a Inserts an action in the completion's action item list at position with markup .
- Method
  2.12.0.0
  System.Void `` `` a a Inserts an action in the completion's action item list at position with text . If you want the item to have markup, use .
- Method
  2.12.0.0
  System.Void To be added To be added
- Property
  2.12.0.0
  Gtk.EntryCompletionMatchFunc The matching function a The match function is used to determine if a row should or should not be in the completion list.
- Event
  2.12.0.0
  GLib.Signal("match_selected")
  Gtk.MatchSelectedHandler Event triggered when the user selects a match.
- Property
  2.12.0.0
  GLib.Property("minimum-key-length")
  System.Int32 Minimum string length for enabling completion. a Requires the length of the search key for this completion to be at least a certain length. This is useful for long lists, where completing using a small key takes a lot of time and will come up with meaningless results anyway (ie, a too large dataset).
- Property
  2.12.0.0
  GLib.Property("model")
  Gtk.TreeModel Tree data model. a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActionActivated", Type=typeof(Gtk.EntryCompletion))
  System.Void `` a This method is called whenever an action is activated.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCursorOnMatch", Type=typeof(Gtk.EntryCompletion))
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMatchSelected", Type=typeof(Gtk.EntryCompletion))
  System.Boolean `` `` a , the model the match was selected from a , the row the user picked This method is called whenever the user selects one of the suggested matches. a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePrefixInserted", Type=typeof(Gtk.EntryCompletion))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` a a Adds the to the end of the entry-completion widget. If is , then the is allocated no more space than it needs. Any unused space is divided evenly between cells for which is .
- Method
  2.12.0.0
  System.Void `` `` a a Packs the into the beginning of the entry-completion widget. If is , then the is allocated no more space than it needs. Any unused space is divided evenly between cells for which is .
- Property
  2.12.0.0
  GLib.Property("popup-completion")
  System.Boolean To be added a To be added
- Property
  2.12.0.0
  GLib.Property("popup-set-width")
  System.Boolean Controls if the popup is sized to the same width as the entry. if popup size is same as entry size.
- Property
  2.12.0.0
  GLib.Property("popup-single-match")
  System.Boolean Controls if popup is displayed on a single match. if popup is displayed on single matches. Set this to for inline completion.
- Event
  2.12.0.0
  GLib.Signal("insert_prefix")
  Gtk.PrefixInsertedHandler To be added To be added
- Method
  2.12.0.0
  System.Void `` `` a a Reinserts into the completion list at .
- Method
  2.12.0.0
  System.Void `` `System.ParamArray` a a Sets the attribute to model column bindings for a renderer. The array should be pairs of attribute names and column indexes.
- Method
  2.12.0.0
  System.Void `` `` a a Sets up a data function for this layout. The data function is used instead of the standard attributes mapping for setting the column value, and should set the value of the layout's cell renderer(s) as appropriate. may be to remove an older one.
- Property
  2.12.0.0
  GLib.Property("text-column")
  System.Int32 Setting this property generates a completion list with just strings. a Setting this convenience property will set up the completion to have a list displaying all (and just) strings in the completion list, and to get those strings from a particular column number in the model of the completion object.